package uz.mobiuz.mobiservice.dev.ui.home

import android.content.Context
import android.util.AttributeSet
import android.view.View
import uz.mobiuz.mobiservice.dev.utils.extensions.getStatusBarHeight

class StatusBarSpacer @JvmOverloads constructor(context: Context, attrs: AttributeSet? = null) :
    View(context, attrs) {

    override fun onMeasure(widthMeasureSpec: Int, heightMeasureSpec: Int) =
        setMeasuredDimension(widthMeasureSpec, (getStatusBarHeight()))
}